Status: Approved Start date: 08/28/2013
Priority: Low Due date:

Assignee: Zbigniew Rebacz % Done: 0%
Category: IDE Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

http://www.ultimatepp.org/forum/index.php?t=msg&#38;th=7731&#38;start=0x%x%

History

#1 - 08/28/2013 09:36 PM - Zbigniew Rebacz
- Category set to IDE

#2 - 08/28/2013 09:37 PM - Zbigniew Rebacz
- Assignee set to Zbigniew Rebacz

#3 - 08/29/2013 08:23 AM - Miroslav Fidler
- Status changed from Ready for QA to Patch ready

#4 - 08/29/2013 02:35 PM - Miroslav Fidler
- Status changed from Patch ready to Approved

#5 - 08/30/2013 02:15 PM - Zbigniew Rebacz
- File ide.iml added

- File SystemBar.png added

- Status changed from Approved to Rejected

It seems that this code dosen't work (ide.cpp - line 746):

switch(state_icon) {

case 1: Icon(ldelmg::lconDebugging(), Idelmg::lconDebuggingLarge()); break;
case 2: Icon(ldelmg::lconRunning(), Idelmg::lconRunningLarge()); break;
case 3: Icon(ldelmg::lconBuilding(), Idelmg::IconBuildingLarge()); break;
default: Icon(ldelmg::Package(), Idelmg::PackageLarge());

}

This code forces small icons not large. Why just not write:

switch(state_icon) {

case 1: Icon(ldelmg::lconDebugginglLarge()); break;
case 2: Icon(ldelmg::lconRunningLarge()); break;
case 3: Icon(ldelmg::lconBuildingLarge()); break;
default: Icon(ldelmg::Packagelarge());

}
Moreover, | enclosed updated ide.iml file (small icon fix) and exemplary screenshot.

P.S.

It can be also bug in following method: "TopWindow& Icon(const Image& smallicon, const Image& largeicon)".

#6 - 08/30/2013 02:16 PM - Zbigniew Rebacz

- Status changed from Rejected to New

#7 - 08/30/2013 02:24 PM - Zbigniew Rebacz

Large icon also doesn't work in SelectPkg.cpp (line 14):

Icon(ldelmg::Package(), Idelmg::PackageLarge());

The reason is the same.

#8 - 08/30/2013 06:45 PM - Zbigniew Rebacz

Finally, | diagnosed what is wrong. The problem is that TopWindow::SyncCaption() (From CtrlCore/X11Top.cpp - line 163) dosen't use "largeicon”

variable. What | would like to said is that largeicon is Windows only feature.

We have two choises. First, we can use method "TopWindow& Icon(const Image& m)" with large icon as parametr. Second, we can implement largeicon
feature under X11. The second option is more difficult than first option and | don't know how to implement it :(.

#9 - 09/07/2013 12:34 AM - Zbigniew Rebacz
- Status changed from New to Approved

This feature is definitely finished.

Files
ide.iml 282 KB 08/30/2013 Zbigniew Rebacz
SystemBar.png 43.8 KB 08/30/2013 Zbigniew Rebacz
